!****************************************************************************
!*
!*	Copyright (C) 1984-2004 Micro Focus International Ltd.
!*
!*	All rights reserved.  Unpublished, all rights reserved under
!*	copyright law and international treaty.  Use of a copyright notice
!*	is precautionary only and does not imply publication or disclosure.
!*	This software contains confidential information and trade secrets of
!*	Micro Focus Ltd. and no part of this program or publication may be
!*	reproduced, transmitted, transcribed, stored in a retrieval system,
!*	or translated into any language or computer language, in any form
!*	or by any means, electronic, mechanical, magnetic, optical, chemical,
!*	manual or otherwise, without the prior written permission of:
!*
!*	Micro Focus Ltd,
!*	The Lawn, Old Bath Road, Newbury, Berkshire, RG14 1QN, UK.
!*	(01635) 32646
!*
!*	RESTRICTED RIGHTS LEGEND
!*	Use, duplication, or disclosure by the Government is subject to
!*	restrictions as set forth in subparagraph (c)(1)(ii) of the Rights
!*	in Technical Data and Computer Software clause at DFARS 52.227-7013
!*	or subparagraphs (c)(1) and (2) of Commercial Computer Software -
!*	Restricted Rights at 48 CFR 52.227-19, as applicable.  Contact
!*	Micro Focus Incorporated, 1001 W. Maude Avenue, Sunnyvale, California 94085, USA
!*
!*	Assembler files for use in Genesis Unix builds.
!*
!*	Source Module init.sun.app	Sccs Identification 5.3
!*
!*	Last Modified on 04/06/24 at 15:45:08
!*
!****************************************************************************/
!** Start of source module init.sun.app **
	.section        ".init"
	.align 		4
	.global 	%1$s
%1$s:
1:
	call	2f
	sethi	%%hi(_GLOBAL_OFFSET_TABLE_ + (. - 1b)), %%l1
2:
	or	%%l1,%%lo(_GLOBAL_OFFSET_TABLE_ + (. - 1b)),%%l1
	add	%%o7,%%l1,%%l0
	sethi   %%hi(%5$d),%%o0
	or      %%o0,%%lo(%5$d),%%o0
	sethi	%%hi(soinfo),%%o1
	or	%%o1,%%lo(soinfo),%%o1
	ld    [%%l0+%%o1],%%o1
	call    %3$s
	or	%%g0,%%g0,%%o2
	.section        ".fini"
	.align 		4
	.global 	%2$s
%2$s:
1:
	call	2f
	sethi	%%hi(_GLOBAL_OFFSET_TABLE_ + (. - 1b)), %%l1
2:
	or	%%l1,%%lo(_GLOBAL_OFFSET_TABLE_ + (. - 1b)),%%l1
	add	%%o7,%%l1,%%l0
	sethi   %%hi(%5$d),%%o0
	or      %%o0,%%lo(%5$d),%%o0
	sethi	%%hi(soinfo),%%o1
	or	%%o1,%%lo(soinfo),%%o1
	ld    [%%l0+%%o1],%%o1
	call    %4$s
	or	%%g0,%%g0,%%o2
